import request from '@/utils/request'

// 授权账号分页
export function getAuthAccountPageList(data) {
  return request({
    url: '/admin/admin/auth/getPageList',
    method: 'post',
    data
  })
}

// 授权账号-部门列表
export function getDeptList() {
  return request({
    url: '/admin/admin/auth/deptList',
    method: 'get',
    params: {}
  })
}

// 授权账号-删除
export function authDelete(adminId) {
  return request({
    url: '/admin/admin/auth/delete',
    method: 'get',
    params: { adminId }
  })
}

// 授权账号-新增-修改
export function authEdit(data) {
  return request({
    url: '/admin/admin/auth/edit',
    method: 'post',
    data
  })
}
